import i18next from "i18next";
import { initReactI18next } from "react-i18next";

//Import all translation files
import translationEnglish from "./Translation/English/translation.json";
import translationSpanish from "./Translation/Spanish/translation.json";
import translationFrench from "./Translation/French/translation.json";
import translationChinese from "./Translation/Chinese/translation.json";
import translationJapanese from "./Translation/Japanese/translation.json";
import translationBrazilian from "./Translation/Brazilian/translation.json";
import translationPortuguese from "./Translation/Portuguese/translation.json";

//---Using translation
// const resources = {
//     en: {
//         translation: translationEnglish,
//     },
//     es: {
//         translation: translationSpanish,
//     },
//     fr: {
//         translation: translationFrench,
//     },
// }

//---Using different namespaces
const resources = {
  cn: {
    Header: translationChinese.Header,
    Start: translationChinese.Start,
  },
  en: {
    Header: translationEnglish.Header,
    Start: translationEnglish.Start,
  },
  es: {
    Header: translationSpanish.Header,
    Start: translationSpanish.Start,
  },
  fr: {
    Header: translationFrench.Header,
    Start: translationFrench.Start,
  },
  jp: {
    Header: translationJapanese.Header,
    Start: translationJapanese.Start,
  },
  br: {
    Header: translationBrazilian.Header,
    Start: translationBrazilian.Start,
  },
  pt: {
    Header: translationPortuguese.Header,
    Start: translationPortuguese.Start,
  },
};

i18next.use(initReactI18next).init({
  resources,
  lng: "cn", //default language
});

export default i18next;
